[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# futex_op

Futex operation:

## Declaration

Source position: linux.pp line 130

`function futex_op(`
`op: cint;`
`oparg: cint;`
`cmp: cint;`
`cmparg: cint`
`):cint;`

## Description

FUTEX_OP Performs an operation on a futex:

    FUTEX_OP := ((op and $F) shl 28) or
                ((cmp and $F) shl 24) or
                ((oparg and $FFF) shl 12)
                or (cmparg and $FFF);